<script setup lang="ts">
  import { CmsElementImageGallery } from '@shopware-pwa/composables-next';
  import { CmsPageProductDetailKey } from '~/helpers/injection';

  const props = defineProps<{
    content: CmsElementImageGallery;
  }>();
  const productShared = inject(CmsPageProductDetailKey);

  const sliderItems = computed(() => {
    if (productShared?.value) {
      return productShared.value?.media;
    } else {
      return props.content.data.sliderItems;
    }
  });
</script>

<template>
  <SwGallery :images="sliderItems" :config="props.content.config" :cms="true" />
</template>
